<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.13" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="group__group__scb__spi__macros__tx__fifo__status" kind="group">
    <compoundname>group_scb_spi_macros_tx_fifo_status</compoundname>
    <title>SPI TX FIFO Statuses</title>
      <sectiondef kind="define">
      <memberdef id="group__group__scb__spi__macros__tx__fifo__status_1ga09966d868419acdcc1b39a20e168437a" kind="define" prot="public" static="no">
        <name>CY_SCB_SPI_TX_TRIGGER</name>
        <initializer>(SCB_INTR_TX_TRIGGER_Msk)</initializer>
        <briefdescription>
<para>The number of entries in the TX FIFO is less than the TX FIFO trigger level value. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_scb_spi.h" bodystart="658" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_scb_spi.h" line="658" />
      </memberdef>
      <memberdef id="group__group__scb__spi__macros__tx__fifo__status_1ga02c11eee0328c4d9907fae3ce30f050c" kind="define" prot="public" static="no">
        <name>CY_SCB_SPI_TX_NOT_FULL</name>
        <initializer>(SCB_INTR_TX_NOT_FULL_Msk)</initializer>
        <briefdescription>
<para>The TX FIFO is not full, there is a space for more data. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_scb_spi.h" bodystart="661" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_scb_spi.h" line="661" />
      </memberdef>
      <memberdef id="group__group__scb__spi__macros__tx__fifo__status_1gac78e12f183e9dd8363763baf5c4694ab" kind="define" prot="public" static="no">
        <name>CY_SCB_SPI_TX_EMPTY</name>
        <initializer>(SCB_INTR_TX_EMPTY_Msk)</initializer>
        <briefdescription>
<para>The TX FIFO is empty, note that there may still be data in the shift register. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_scb_spi.h" bodystart="666" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_scb_spi.h" line="666" />
      </memberdef>
      <memberdef id="group__group__scb__spi__macros__tx__fifo__status_1ga56c1ac0eb0d0baf71c58eb2300aff979" kind="define" prot="public" static="no">
        <name>CY_SCB_SPI_TX_OVERFLOW</name>
        <initializer>(SCB_INTR_TX_OVERFLOW_Msk)</initializer>
        <briefdescription>
<para>An attempt to write to the full TX FIFO. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_scb_spi.h" bodystart="669" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_scb_spi.h" line="669" />
      </memberdef>
      <memberdef id="group__group__scb__spi__macros__tx__fifo__status_1ga6e3957a4dd326629e12a880b679369a1" kind="define" prot="public" static="no">
        <name>CY_SCB_SPI_TX_UNDERFLOW</name>
        <initializer>(SCB_INTR_TX_UNDERFLOW_Msk)</initializer>
        <briefdescription>
<para>Applicable only for the slave mode. </para>        </briefdescription>
        <detaileddescription>
<para>The master tried to read more data elements than available. </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_scb_spi.h" bodystart="675" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_scb_spi.h" line="675" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>Macros to check SPI TX FIFO status returned by <ref kindref="member" refid="group__group__scb__spi__low__level__functions_1ga987fdbe86c1fbfbadfa51cdf82f84632">Cy_SCB_SPI_GetTxFifoStatus</ref> function or assign mask for <ref kindref="member" refid="group__group__scb__spi__low__level__functions_1gadf6044cb7d9567450502fec59537dad4">Cy_SCB_SPI_ClearTxFifoStatus</ref> function. </para>    </briefdescription>
    <detaileddescription>
<para>Each SPI TX FIFO status is encoded in a separate bit, therefore multiple bits may be set to indicate the current status. </para>    </detaileddescription>
  </compounddef>
</doxygen>